## debootstrap 1.0.20ubuntu1

=== Makefile ===
# avoid dpkg-dev dependency; fish out the version with sed
VERSION := $(shell sed 's/.*(\(.*\)).*/\1/; q' debian/changelog)

MAKEDEV := $(shell if [ -e /dev/MAKEDEV ]; then echo /dev/MAKEDEV; else echo /sbin/MAKEDEV; fi)

all: devices.tar.gz
clean:
	rm -f devices.tar.gz
	rm -rf dev

DSDIR=$(DESTDIR)/usr/share/debootstrap
install:
	mkdir -p $(DSDIR)/scripts
	mkdir -p $(DESTDIR)/usr/sbin

	install -o root -g root -m 0644 scripts/debian/* $(DSDIR)/scripts/
	install -o root -g root -m 0644 scripts/ubuntu/* $(DSDIR)/scripts/
	install -o root -g root -m 0644 functions $(DSDIR)/

        # no special script for etch anymore
	ln -s sid $(DSDIR)/scripts/etch
	ln -s sid $(DSDIR)/scripts/etch-m68k
	ln -s sid $(DSDIR)/scripts/lenny
	ln -s sid $(DSDIR)/scripts/squeeze

	ln -s gutsy $(DSDIR)/scripts/hardy
	ln -s gutsy $(DSDIR)/scripts/intrepid
	ln -s gutsy $(DSDIR)/scripts/jaunty
	ln -s gutsy $(DSDIR)/scripts/karmic
	ln -s gutsy $(DSDIR)/scripts/lucid
	ln -s gutsy $(DSDIR)/scripts/maverick

	sed 's/@VERSION@/$(VERSION)/g' debootstrap >$(DESTDIR)/usr/sbin/debootstrap
	chown root:root $(DESTDIR)/usr/sbin/debootstrap
	chmod 0755 $(DESTDIR)/usr/sbin/debootstrap

	install -o root -g root -m 0644 devices.tar.gz $(DSDIR)/

devices.tar.gz:
	rm -rf dev
	mkdir -p dev
	chown 0:0 dev
	chmod 755 dev
	(cd dev && $(MAKEDEV) std ptmx fd consoleonly)
	tar cf - dev | gzip -9 >devices.tar.gz
	rm -rf dev

=== debian/changelog ===
debootstrap (1.0.20ubuntu1) lucid; urgency=low

  * Add (Ubuntu) maverick as a symlink to gutsy.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 Apr 2010 11:04:50 +0100

## debootstrap 1.0.20ubuntu1.1

=== debian/changelog ===
debootstrap (1.0.20ubuntu1.1) lucid-proposed; urgency=low

  * scripts/sid: 
    + Fixed bug for not creating sid chroot because of missing apt
      taken from mavericks debootstrap version (LP: #533369)

 -- Stephan Hermann <sh@sourcecode.de>  Tue, 17 Aug 2010 15:58:06 +0200

## debootstrap 1.0.20ubuntu1.2

=== Makefile ===
--- 
+++ 
@@ -29,6 +29,7 @@
 	ln -s gutsy $(DSDIR)/scripts/karmic
 	ln -s gutsy $(DSDIR)/scripts/lucid
 	ln -s gutsy $(DSDIR)/scripts/maverick
+	ln -s gutsy $(DSDIR)/scripts/natty
 
 	sed 's/@VERSION@/$(VERSION)/g' debootstrap >$(DESTDIR)/usr/sbin/debootstrap
 	chown root:root $(DESTDIR)/usr/sbin/debootstrap

=== debian/changelog ===
debootstrap (1.0.20ubuntu1.2) lucid-proposed; urgency=low

  * Add (Ubuntu) natty as a symlink to gutsy. LP: #673038

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 20 Oct 2010 11:07:22 -0600

## debootstrap 1.0.20ubuntu1.3

=== Makefile ===
--- 
+++ 
@@ -30,6 +30,7 @@
 	ln -s gutsy $(DSDIR)/scripts/lucid
 	ln -s gutsy $(DSDIR)/scripts/maverick
 	ln -s gutsy $(DSDIR)/scripts/natty
+	ln -s gutsy $(DSDIR)/scripts/oneiric
 
 	sed 's/@VERSION@/$(VERSION)/g' debootstrap >$(DESTDIR)/usr/sbin/debootstrap
 	chown root:root $(DESTDIR)/usr/sbin/debootstrap

=== debian/changelog ===
debootstrap (1.0.20ubuntu1.3) lucid-proposed; urgency=low

  * Add (Ubuntu) oneiric as a symlink to gutsy (LP: #786956).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 May 2011 13:06:46 +0100

=== debian/control ===
Source: debootstrap
Section: admin
Priority: extra
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anthony Towns <ajt@debian.org>, Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 7.0.0), makedev (>= 2.3.1-69)
Standards-Version: 3.8.0
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debootstrap

Package: debootstrap
Architecture: all
Depends: wget, binutils
Recommends: gnupg
Description: Bootstrap a basic Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.

Package: debootstrap-udeb
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Depends: mounted-partitions
Description: Bootstrap the Debian system

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure:
	dh_testdir

clean:
	dh_testdir
	dh_auto_clean
	dh_clean

build: configure
#	 need to be root to make devices, so build is done in install target

real-build: build
	dh_testdir
	dh_testroot
	dh_auto_build

install: real-build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

#	 install the package into debian/debootstrap
	$(MAKE) install      DESTDIR=$(CURDIR)/debian/debootstrap
	$(MAKE) install      DESTDIR=$(CURDIR)/debian/debootstrap-udeb

ARCHES="i386"
SUITE="testing"
VERSION=$(SUITE)
MIRROR="http://ftp.us.debian.org/debian"

binary-basedebs:
	dh_testdir
	dh_testroot

	$(MAKE) pkgdetails

	ln -s . scripts
	for a in $(ARCHES); do \
	    rm -rf chroot-dir; \
	    mkdir -p chroot-dir; \
	    DEBOOTSTRAP_DIR=. ./debootstrap --arch $$a --download-only $(SUITE) chroot-dir $(MIRROR); \
	    (cd chroot-dir && tar cf ../../basedebs_$(VERSION)_$$a.tar *); \
	    rm -rf chroot-dir; \
	done
	rm -f scripts

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installman -i
	dh_installchangelogs -i
	dh_link -i
	-rm -rf debian/debootstrap-udeb/usr/share/debootstrap/scripts/potato \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/woody \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/sarge \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/warty \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/hoary \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/breezy \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/dapper \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/edgy \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/feisty \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/*.buildd \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/*.fakechroot
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch:

binary: binary-indep binary-arch
.PHONY: build real-build clean binary-indep binary-arch binary install configure binary-basedebs

## debootstrap 1.0.20ubuntu1.4

=== Makefile ===
--- 
+++ 
@@ -31,6 +31,7 @@
 	ln -s gutsy $(DSDIR)/scripts/maverick
 	ln -s gutsy $(DSDIR)/scripts/natty
 	ln -s gutsy $(DSDIR)/scripts/oneiric
+	ln -s gutsy $(DSDIR)/scripts/precise
 
 	sed 's/@VERSION@/$(VERSION)/g' debootstrap >$(DESTDIR)/usr/sbin/debootstrap
 	chown root:root $(DESTDIR)/usr/sbin/debootstrap

=== debian/changelog ===
debootstrap (1.0.20ubuntu1.4) lucid-proposed; urgency=low

  * Add (Ubuntu) precise as a symlink to gutsy (LP: #880926).

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 24 Oct 2011 09:58:13 -0600

## debootstrap 1.0.20ubuntu1.6

=== debian/changelog ===
debootstrap (1.0.20ubuntu1.6) lucid; urgency=low

  * Stop at the end of the retrieval phase if any packages failed to
    download (LP: #1023069).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Aug 2013 17:49:14 +0100

debootstrap (1.0.20ubuntu1.5) lucid-proposed; urgency=low

  * Fix Packages was corrupt warning on preseed install. Backport fix for
    Debian bug #618920 to solve LP: #1023069. Patch slightly reworked to adapt
    to older codebase.

 -- Louis Bouchard <louis.bouchard@canonical.com>  Fri, 15 Feb 2013 11:12:31 +0100

## debootstrap 1.0.23ubuntu1~hardy1

=== debian/changelog ===
debootstrap (1.0.23ubuntu1~hardy1) hardy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 21 Oct 2010 11:36:48 +0000

debootstrap (1.0.23ubuntu1) maverick; urgency=low

  * Add natty as a symlink to gutsy.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 28 Sep 2010 02:52:38 +0200

debootstrap (1.0.23) unstable; urgency=low

  * Add (Ubuntu) maverick as a symlink to gutsy.
  * Add ${misc:Depends}.

 -- Colin Watson <cjwatson@debian.org>  Wed, 19 May 2010 13:35:34 +0100

debootstrap (1.0.22) unstable; urgency=low

  * Redo release since it ended up with testing directory in tar.gz.

 -- Otavio Salvador <otavio@debian.org>  Mon, 22 Feb 2010 16:52:49 -0300

debootstrap (1.0.21) unstable; urgency=low

  [ Otavio Salvador ]
  * Apply patch from Clint Adams <schizo@debian.org> to add support for
    gz/bz2/xz data.tar (closes: #458663).

  [ Guillem Jover ]
  * Refactor deb extractors into two new functions.
  * Use dpkg-deb if available instead of ar (closes: #557296).
  * Add an --extractor option to override the automatic extractor selection.

  [ Otavio Salvador ]
  * Document new --extractor option in manpage.
  * Apply patch from Vagrant Cascadian <vagrant+bugs@freegeek.org> not
    fail if resolv.conf is a broken symlink (closes: #390647).

  [ Frans Pop ]
  * Use tab indentation in scripts/debian/sid to reduce its size (relevant
    for Debian Installer).
  * Add apt to base packages for the buildd variant as it is no longer marked
    Build-Essential.

  [ Otavio Salvador ]
  * Apply patch from Andres Salomon <dilinger@collabora.co.uk> to honor
    --components when using mirror_style 'main' (closes: #561283).
  * Apply patch from Andres Salomon <dilinger@collabora.co.uk> to fix
    iteration through components in download_main (closes: #561298).

  [ Joey Hess ]
  * Allow the suite to be stable, testing, or unstable when debootstrapping
    Debian. Closes: #288109
  * Make scripts directory in source tree look like installed directory,
    and add a section to README explaining an easy way to run
    debootstrap w/o installing it. Closes: #345762
  * Convert rules file to use dh with overrides.
  * Remove binary-basedebs target from debian/rules.
    This target has been broken in multiple ways since 2007. While I
    accidentially partially fixed it with the above changes, this is evidence
    it's dead code that can be safely removed.

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Feb 2010 23:11:06 -0300

=== debian/control ===
Source: debootstrap
Section: admin
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anthony Towns <ajt@debian.org>, Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 7.0.50), makedev (>= 2.3.1-69)
Standards-Version: 3.8.0
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debootstrap

Package: debootstrap
Architecture: all
Depends: ${misc:Depends}, wget
Recommends: gnupg
Description: Bootstrap a basic Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.

Package: debootstrap-udeb
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, mounted-partitions
Description: Bootstrap the Debian system

## debootstrap 1.0.23ubuntu1~jaunty1

=== debian/changelog ===
debootstrap (1.0.23ubuntu1~jaunty1) jaunty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 21 Oct 2010 11:37:01 +0000

## debootstrap 1.0.23ubuntu1~karmic1

=== debian/changelog ===
debootstrap (1.0.23ubuntu1~karmic1) karmic-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Colin Watson <cjwatson@canonical.com>  Thu, 21 Oct 2010 11:37:19 +0000

## debootstrap 1.0.23ubuntu1

=== Makefile ===
# avoid dpkg-dev dependency; fish out the version with sed
VERSION := $(shell sed 's/.*(\(.*\)).*/\1/; q' debian/changelog)

MAKEDEV := $(shell if [ -e /dev/MAKEDEV ]; then echo /dev/MAKEDEV; else echo /sbin/MAKEDEV; fi)

all: devices.tar.gz
clean:
	rm -f devices.tar.gz
	rm -rf dev

DSDIR=$(DESTDIR)/usr/share/debootstrap
install:
	mkdir -p $(DSDIR)/scripts
	mkdir -p $(DESTDIR)/usr/sbin

	cp -a scripts/* $(DSDIR)/scripts/
	install -o root -g root -m 0644 functions $(DSDIR)/

	sed 's/@VERSION@/$(VERSION)/g' debootstrap >$(DESTDIR)/usr/sbin/debootstrap
	chown root:root $(DESTDIR)/usr/sbin/debootstrap
	chmod 0755 $(DESTDIR)/usr/sbin/debootstrap

	install -o root -g root -m 0644 devices.tar.gz $(DSDIR)/

devices.tar.gz:
	rm -rf dev
	mkdir -p dev
	chown 0:0 dev
	chmod 755 dev
	(cd dev && $(MAKEDEV) std ptmx fd consoleonly)
	tar cf - dev | gzip -9 >devices.tar.gz
	rm -rf dev

## debootstrap 1.0.25~bpo50%2B1

=== debian/changelog ===
debootstrap (1.0.25~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.

 -- Matt Taggart <taggart@debian.org>  Tue, 19 Oct 2010 14:37:27 -0700

debootstrap (1.0.25) unstable; urgency=low

  * Remove debug statement that slipped in.
  * Add test to guard against devices.tar.gz being empty.
  * /dev/MAKEDEV cannot be relied on (udev likes to make it a symlink to
    true). Always use /sbin/MAKEDEV. Closes: #598080

 -- Joey Hess <joeyh@debian.org>  Sun, 26 Sep 2010 13:18:31 -0400

debootstrap (1.0.24) unstable; urgency=low

  [ Miguel Figueiredo ]
  * Apply patches from by Jonathan Klee and Guillaume Chauvel 
    to add support to https (closes: #521196).

  [ Colin Watson ]
  * Add (Ubuntu) natty as a symlink to gutsy.

  [ Joey Hess ]
  * Add support for wheezy. Closes: #597461

 -- Joey Hess <joeyh@debian.org>  Sun, 19 Sep 2010 21:40:00 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anthony Towns <ajt@debian.org>, Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 7.0.50), makedev (>= 2.3.1-69)
-Standards-Version: 3.8.0
+Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debootstrap
 
 Package: debootstrap

## debootstrap 1.0.25~bpo50+1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # avoid dpkg-dev dependency; fish out the version with sed
 VERSION := $(shell sed 's/.*(\(.*\)).*/\1/; q' debian/changelog)
 
-MAKEDEV := $(shell if [ -e /dev/MAKEDEV ]; then echo /dev/MAKEDEV; else echo /sbin/MAKEDEV; fi)
+MAKEDEV := /sbin/MAKEDEV
 
 all: devices.tar.gz
 clean:
@@ -29,4 +29,8 @@
 	chmod 755 dev
 	(cd dev && $(MAKEDEV) std ptmx fd consoleonly)
 	tar cf - dev | gzip -9 >devices.tar.gz
+	@if [ "$$(tar tvf devices.tar.gz | wc -l)" -lt 2 ]; then \
+		echo " ** devices.tar.gz is empty!" >&2; \
+		exit 1; \
+	fi
 	rm -rf dev

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

# need to be root to make devices, so build is done in install target
override_dh_auto_build:

override_dh_auto_install:
	dh_auto_build
	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap
	$(MAKE) install DESTDIR=$(CURDIR)/debian/debootstrap-udeb
	
	# remove scripts not needed by d-i
	-rm -f debian/debootstrap-udeb/usr/share/debootstrap/scripts/potato \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/woody \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/sarge \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/warty \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/hoary \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/breezy \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/dapper \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/edgy \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/feisty \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/*.buildd \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/*.fakechroot \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/stable \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/testing \
		debian/debootstrap-udeb/usr/share/debootstrap/scripts/unstable

## debootstrap 1.0.26+squeeze1

=== debian/changelog ===
debootstrap (1.0.26+squeeze1) stable-proposed-updates; urgency=low

  [ Miguel Figueiredo ]
  * Fix bug and typo on --private-key
    Patch by Jonathan Klee. 
  * Fix for ar usage, thanks to Guillem Jover. Closes: #598729

 -- Otavio Salvador <otavio@debian.org>  Fri, 04 Mar 2011 08:53:03 -0300

debootstrap (1.0.26) unstable; urgency=low

  [ Christian Perrier ]
  * Consistently use tab indenting in scripts/gutsy and scripts/sid
    Patch by Karl Goetz. Closes: #601821
  * Fix a typo in the debootstrap script
    Patch by Karl Goetz. Closes: #601822

  [ Joey Hess ]
  * sid: Remove old workaround for etch era coreutils/textutils md5sum
    diversion problem. (#329394)

 -- Otavio Salvador <otavio@debian.org>  Fri, 12 Nov 2010 10:07:41 -0200

## debootstrap 1.0.26+squeeze1+nd2

=== debian/changelog ===
debootstrap (1.0.26+squeeze1+nd2) squeeze; urgency=low

  * Added symlinks for precise and quantal Ubuntu releases

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 27 Jun 2012 11:30:59 -0400

debootstrap (1.0.26+squeeze1+nd1) squeeze; urgency=low

  * Added a symlink for oneiric Ubuntu release

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 06 Nov 2011 18:03:41 -0500

## debootstrap 1.0.29ubuntu1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,12 @@
 
 MAKEDEV := /sbin/MAKEDEV
 
+ifneq ($(shell uname),GNU)
 all: devices.tar.gz
+else
+all:
+endif
+
 clean:
 	rm -f devices.tar.gz
 	rm -rf dev
@@ -20,7 +25,9 @@
 	chown root:root $(DESTDIR)/usr/sbin/debootstrap
 	chmod 0755 $(DESTDIR)/usr/sbin/debootstrap
 
+ifneq ($(shell uname),GNU)
 	install -o root -g root -m 0644 devices.tar.gz $(DSDIR)/
+endif
 
 devices.tar.gz:
 	rm -rf dev

=== debian/changelog ===
debootstrap (1.0.29ubuntu1) natty; urgency=low

  * Cherry-pick from trunk:
    - Resolve dependencies from all requested components (LP: #740167).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 13 Apr 2011 18:48:24 +0100

debootstrap (1.0.29) unstable; urgency=low

  [ Joey Hess ]
  * Support bootstrapping oldstable. (Lenny could already be bootstrapped
    using that suite name.)

  [ Colin Watson ]
  * Add (Ubuntu) oneiric as a symlink to gutsy.

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Mar 2011 10:58:49 +0000

debootstrap (1.0.28) unstable; urgency=low

  [ Miguel Figueiredo ]
  * Fix for ar usage, thanks to Guillem Jover. Closes: #598729

  [ Joey Hess ]
  * Remove 5 second sleeps when debootstrap finds additional required
    dependencies. d-i just got that much faster.
  * Use SHA checksums. Defaulting to SHA256, and configurable by 
    SHA_SIZE environment variable. Closes: #614315
  * If a sha256sum program is not available, fall back to sha1sum.
    This is to support debootstrap use on embedded systems, which are more
    likely to have the latter.
  * Avoid new(?) warning from dpkg about missing Maintainer field when
    feigning install of a package.

 -- Joey Hess <joeyh@debian.org>  Mon, 21 Feb 2011 20:48:46 -0400

debootstrap (1.0.27) unstable; urgency=low

  [ Miguel Figueiredo ]
  * Fix bug and typo on --private-key
    Patch by Jonathan Klee. 

  [ Jeremie Koenig ]
  * Hurd support:
    - Use the newer setup-translators script and firmlink
      $TARGET/{dev,servers} in setup_devices_hurd;
    - Don't attempt to build devices.tar.gz, which is not needed.

 -- Otavio Salvador <otavio@debian.org>  Mon, 07 Feb 2011 19:40:24 -0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: debootstrap
 Section: admin
 Priority: extra
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anthony Towns <ajt@debian.org>, Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper (>= 7.0.50), makedev (>= 2.3.1-69)
+Build-Depends: debhelper (>= 7.0.50), makedev (>= 2.3.1-69) [!hurd-i386]
 Standards-Version: 3.9.1
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/debootstrap
+Vcs-Browser: http://git.debian.org/?p=d-i/debootstrap.git
+Vcs-Git: git://git.debian.org/d-i/debootstrap.git
 
 Package: debootstrap
 Architecture: all

## debootstrap 1.0.29ubuntu1+5.0trisquel2

=== debian/changelog ===
debootstrap (1.0.29ubuntu1+5.0trisquel2) dagda; urgency=low

  * Added Trisquel's scripts

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 08 Sep 2011 19:28:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: debootstrap
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anthony Towns <ajt@debian.org>, Joey Hess <joeyh@debian.org>, Frans Pop <fjp@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 7.0.50), makedev (>= 2.3.1-69) [!hurd-i386]

## debootstrap 1.0.34

=== debian/changelog ===
debootstrap (1.0.34) unstable; urgency=low

  * Add more information regarding the version and architecture in case
    a download fails. Closes: #633625.
  * add /usr/sbin and /sbin to PATH for fakechroot variant. Closes:
    #588773
  * Move setup_devices to second stage of bootstrap. Closes: #498731,
    #531316

 -- Otavio Salvador <otavio@debian.org>  Thu, 28 Jul 2011 19:13:10 +0200

debootstrap (1.0.33) unstable; urgency=low

  [ Joey Hess ]
  * Mention minbase variant in --help. Closes: #632418
  * Use md5sums for sarge, which did not consistently have sha1sums
    everywhere. Closes: #633158

  [ Colin Watson ]
  * Improve text of error message when decompression command is not
    available.

 -- Otavio Salvador <otavio@debian.org>  Sun, 24 Jul 2011 10:33:56 +0200

debootstrap (1.0.32) unstable; urgency=low

  * Use md5sums for woody and potato, which only had those checksums
    in the Packages files. Closes: #627365

 -- Joey Hess <joeyh@debian.org>  Mon, 30 May 2011 13:57:46 -0400

debootstrap (1.0.31) unstable; urgency=low

  [ Mark Hymers ]
  * Don't use the Build-Essential: yes field in Debian, use the
    build-essential package. Closes: #619700.

  [ Colin Watson ]
  * If ubuntu-keyring is installed, check Release signatures against it when
    bootstrapping Ubuntu gutsy and later.
  * Recommend ubuntu-keyring rather than debian-archive-keyring on
    Ubuntu-derived systems.

 -- Colin Watson <cjwatson@debian.org>  Fri, 20 May 2011 09:45:48 +0100

debootstrap (1.0.30) unstable; urgency=low

  [ Joey Hess ]
  * Recommend debian-archive-keyring, and if it is installed,
    default to checking gpg signatures of the Release file against it
    when bootstrapping sid, squeeze, wheezy, etch, and lenny.
    Closes: #560038
  * Add --no-check-gpg option that can be used to disable release file
    verification. Closes: #624229
  * Needs base-installer 1.117.
  * Add a warning message if the keyring file is not available, and
    --no-check-gpg is not specified.
  * Clear all global variables used for options, so that unclean
    environment doesn't break debootstrap. Closes: #621657
  * Removed the --boot-floppies switch and mode. Assuming this has
    not been used in 10 years.

  [ Colin Watson ]
  * Resolve dependencies from all requested components (LP: #740167).

 -- Joey Hess <joeyh@debian.org>  Tue, 26 Apr 2011 17:10:00 -0400

=== debian/control ===
Source: debootstrap
Section: admin
Priority: extra
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anthony Towns <ajt@debian.org>, Joey Hess <joeyh@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>
Build-Depends: debhelper (>= 7.0.50), makedev (>= 2.3.1-69) [!hurd-i386]
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=d-i/debootstrap.git
Vcs-Git: git://git.debian.org/d-i/debootstrap.git

Package: debootstrap
Architecture: all
Depends: ${misc:Depends}, wget
Recommends: gnupg, ${keyring}
Description: Bootstrap a basic Debian system
 debootstrap is used to create a Debian base system from scratch,
 without requiring the availability of dpkg or apt. It does this by
 downloading .deb files from a mirror site, and carefully unpacking them
 into a directory which can eventually be chrooted into.

Package: debootstrap-udeb
Section: debian-installer
XC-Package-Type: udeb
Architecture: all
Depends: ${misc:Depends}, mounted-partitions
Description: Bootstrap the Debian system

## debootstrap 1.0.35

=== debian/changelog ===
debootstrap (1.0.35) unstable; urgency=low

  [ Robert Millan ]
  * Don't build devices.tar.gz if building on GNU/kFreeBSD (closes:
    #637297).
  * Don't use --arch when we specifically care about the host architecture
    (closes: #637298).

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Aug 2011 13:04:41 +0100

## debootstrap 1.0.36

=== debian/changelog ===
debootstrap (1.0.36) unstable; urgency=low

  * Guess host OS based on uname for non-Debian systems. Closes: #637363
  * Clarify "target" in usage message.
  * Fix support for running debootstrap on a FreeBSD host to create a kFreeBSD
    chroot or jail. Thanks, Arno Toell.
  * Search PATH for programs, rather than checking hardcoded locations.
  * Support using md5 and shaN programs, as found on FreeBSD, in addition
    to md5sum and shaNsum.
  * When FreeBSD (not kfreebsd) is the host, don't chroot to mount special
    filesystems.
  * When debootstrapping on FreeBSD, warn if necessary modules are not
    loaded. Thanks, Arno Toell.
  * Workaround for umount bug #634107, which broke pbuilder and "debootstrap ."
    Closes: #631087

 -- Joey Hess <joeyh@debian.org>  Sun, 21 Aug 2011 18:39:26 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anthony Towns <ajt@debian.org>, Joey Hess <joeyh@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>
-Build-Depends: debhelper (>= 7.0.50), makedev (>= 2.3.1-69) [!hurd-i386]
+Build-Depends: debhelper (>= 7.0.50), makedev (>= 2.3.1-69) [linux-any]
 Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=d-i/debootstrap.git
 Vcs-Git: git://git.debian.org/d-i/debootstrap.git

## debootstrap 1.0.37~maverick1

=== debian/changelog ===
debootstrap (1.0.37~maverick1) maverick-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 11 Nov 2011 12:09:46 +0000

debootstrap (1.0.37) unstable; urgency=low

  * Add (Ubuntu) precise as a symlink to gutsy.

 -- Colin Watson <cjwatson@debian.org>  Wed, 05 Oct 2011 21:58:37 +0100

## debootstrap 1.0.37~natty1

=== debian/changelog ===
debootstrap (1.0.37~natty1) natty-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Colin Watson <cjwatson@canonical.com>  Fri, 11 Nov 2011 12:09:55 +0000

## debootstrap 1.0.37ubuntu1~lucid1

=== debian/changelog ===
debootstrap (1.0.37ubuntu1~lucid1) lucid-backports; urgency=low

  * No change backport.

 -- Tim Gardner <tim.gardner@canonical.com>  Mon, 24 Oct 2011 10:34:22 -0600

## debootstrap 1.0.37ubuntu1~lucid1+lliurex2

=== Makefile ===
--- 
+++ 
@@ -27,6 +27,15 @@
 
 ifneq ($(shell uname),GNU)
 	install -o root -g root -m 0644 devices.tar.gz $(DSDIR)/
+	# LliureX Addon 
+	sed -e "s%archive.ubuntu.com/ubuntu%lloda.lliurex.fs/llx0711-unico%;s%ports.ubuntu.com/ubuntu-ports%lloda.lliurex.fs/llx0711-unico-ports%" $(DSDIR)/scripts/feisty> $(DSDIR)/scripts/llx0711 
+	sed -e "s%archive.ubuntu.com/ubuntu%lloda.lliurex.fs/llx0809-unico%;s%ports.ubuntu.com/ubuntu-ports%lloda.lliurex.fs/llx0809-unico-ports%" $(DSDIR)/scripts/gutsy > $(DSDIR)/scripts/llx0809 
+	sed -e "s%archive.ubuntu.com/ubuntu%lloda.lliurex.fs/llx0909-unico%;s%ports.ubuntu.com/ubuntu-ports%lloda.lliurex.fs/llx0909-unico-ports%" $(DSDIR)/scripts/intrepid > $(DSDIR)/scripts/llx0909 
+	sed -e "s%archive.ubuntu.com/ubuntu%lloda.lliurex.fs/llx1009-unico%;s%ports.ubuntu.com/ubuntu-ports%lloda.lliurex.fs/llx1009-unico-ports%" $(DSDIR)/scripts/lucid > $(DSDIR)/scripts/llx1009 
+	sed -e "s%archive.ubuntu.com/ubuntu%lloda.lliurex.fs/llx1109-unico%;s%ports.ubuntu.com/ubuntu-ports%lloda.lliurex.fs/llx1109-unico-ports%" $(DSDIR)/scripts/lucid > $(DSDIR)/scripts/llx1109
+	sed -e "s%archive.ubuntu.com/ubuntu%lloda.lliurex.fs/llx1206-unico%;s%ports.ubuntu.com/ubuntu-ports%lloda.lliurex.fs/llx1206-unico-ports%" $(DSDIR)/scripts/lucid > $(DSDIR)/scripts/llx1206
+	sed -e "s%archive.ubuntu.com/ubuntu%lloda.lliurex.fs/llx1306-unico%;s%ports.ubuntu.com/ubuntu-ports%lloda.lliurex.fs/llx1306-unico-ports%" $(DSDIR)/scripts/precise > $(DSDIR)/scripts/llx1306
+
 endif
 
 devices.tar.gz:

=== debian/changelog ===
debootstrap (1.0.37ubuntu1~lucid1+lliurex2) unstable; urgency=low

  * Added backport for marty and nemo

 -- Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>  Wed, 21 Dec 2011 11:51:05 +0100

debootstrap (1.0.37ubuntu1~lucid1+lliurex1) lucid; urgency=low

  * Added lliurex-support for pandora and nemo 

 -- Angel Berlanas Vicente <lliurex_devel2@edu.gva.es>  Wed, 21 Dec 2011 11:22:07 +0100

## debootstrap 1.0.38

=== debian/changelog ===
debootstrap (1.0.38) unstable; urgency=low

  [ Joey Hess ]
  * Improve error message when a decompressor is not available, 
    to indicate which package has been built with bzip today.
    Closes: #644719

  [ Otavio Salvador ]
  * Fix --print-debs support when using --foreign param. Closes:
    #551837.

  [ Colin Watson ]
  * pkgdetails_perl: Use the last of a sequence of stanzas for the same
    package name, rather than the first (closes: #649319).

 -- Colin Watson <cjwatson@debian.org>  Mon, 21 Nov 2011 13:20:53 +0000

## debootstrap 1.0.39

=== debian/changelog ===
debootstrap (1.0.39) unstable; urgency=low

  * Retry corrupted downloads rather than carrying on almost regardless.
    Patch mostly due to Michael Gilbert, rearranged somewhat by me (closes:
    #618920).
  * Stop at the end of the retrieval phase if any packages failed to
    download.

 -- Colin Watson <cjwatson@debian.org>  Tue, 13 Mar 2012 17:21:13 +0000

## debootstrap 1.0.39ubuntu0.2

=== Makefile ===
# avoid dpkg-dev dependency; fish out the version with sed
VERSION := $(shell sed 's/.*(\(.*\)).*/\1/; q' debian/changelog)

MAKEDEV := /sbin/MAKEDEV

ifeq ($(shell uname),Linux)
all: devices.tar.gz
else
all:
endif

clean:
	rm -f devices.tar.gz
	rm -rf dev

DSDIR=$(DESTDIR)/usr/share/debootstrap
install:
	mkdir -p $(DSDIR)/scripts
	mkdir -p $(DESTDIR)/usr/sbin

	cp -a scripts/* $(DSDIR)/scripts/
	install -o root -g root -m 0644 functions $(DSDIR)/

	sed 's/@VERSION@/$(VERSION)/g' debootstrap >$(DESTDIR)/usr/sbin/debootstrap
	chown root:root $(DESTDIR)/usr/sbin/debootstrap
	chmod 0755 $(DESTDIR)/usr/sbin/debootstrap

ifeq ($(shell uname),Linux)
	install -o root -g root -m 0644 devices.tar.gz $(DSDIR)/
endif

devices.tar.gz:
	rm -rf dev
	mkdir -p dev
	chown 0:0 dev
	chmod 755 dev
	(cd dev && $(MAKEDEV) std ptmx fd consoleonly)
	tar cf - dev | gzip -9 >devices.tar.gz
	@if [ "$$(tar tvf devices.tar.gz | wc -l)" -lt 2 ]; then \
		echo " ** devices.tar.gz is empty!" >&2; \
		exit 1; \
	fi
	rm -rf dev

=== debian/changelog ===
debootstrap (1.0.39ubuntu0.2) precise-proposed; urgency=low

  * Add (Ubuntu) raring as a symlink to gutsy. (LP: #1068707)

 -- Adam Stokes <adam.stokes@canonical.com>  Mon, 05 Nov 2012 18:06:40 +0100

debootstrap (1.0.39ubuntu0.1) precise-proposed; urgency=low

  * Add (Ubuntu) quantal as a symlink to gutsy. (LP: #992669)

 -- Benjamin Drung <bdrung@debian.org>  Tue, 01 May 2012 17:41:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debootstrap
 Section: admin
 Priority: extra
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anthony Towns <ajt@debian.org>, Joey Hess <joeyh@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>
 Build-Depends: debhelper (>= 7.0.50), makedev (>= 2.3.1-69) [linux-any]
 Standards-Version: 3.9.2

## debootstrap 1.0.40~precise1

=== debian/changelog ===
debootstrap (1.0.40~precise1) precise-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Scott Kitterman <ubuntu@kitterman.com>  Fri, 27 Apr 2012 22:13:21 +0000

debootstrap (1.0.40) unstable; urgency=low

  [ Joey Hess ]
  * When installation or configuration of a package fails, output a message
    that points the user to the log file. Attempt to grep out the first 
    package that dpkg failed on and show its name too. Closes: #472704

  [ Colin Watson ]
  * Add (Ubuntu) quantal as a symlink to gutsy.

 -- Colin Watson <cjwatson@debian.org>  Thu, 26 Apr 2012 17:44:44 +0100

## debootstrap 1.0.40~ubuntu0.12

=== debian/changelog ===
debootstrap (1.0.40~ubuntu0.12) precise; urgency=medium

  * Add (Ubuntu) artful as a symlink to gutsy.

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 21 Apr 2017 14:58:56 +0100

debootstrap (1.0.40~ubuntu0.11) precise; urgency=medium

  * Add (Ubuntu) zesty as a symlink to gutsy. (LP: #1636583)

 -- Joshua Powers <josh.powers@canonical.com>  Tue, 25 Oct 2016 15:46:11 -0600

debootstrap (1.0.40~ubuntu0.10) precise; urgency=low

  * Add (Ubuntu) yakkety as a symlink to gutsy.  (LP: #1573596)

 -- Andy Whitcroft <apw@ubuntu.com>  Fri, 22 Apr 2016 14:35:31 +0100

debootstrap (1.0.40~ubuntu0.9) precise; urgency=medium

  * Add (Ubuntu) xenial as a symlink to gutsy. (LP: #1510173) 

 -- Chris J Arges <chris.j.arges@canonical.com>  Mon, 26 Oct 2015 11:42:54 -0500

debootstrap (1.0.40~ubuntu0.8) precise; urgency=medium

  * Add (Ubuntu) wily as a symlink to gutsy. (LP: #1452877) 

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 07 May 2015 15:01:04 -0500

debootstrap (1.0.40~ubuntu0.7) precise; urgency=medium

  * Add (Ubuntu) vivid as a symlink to gutsy. (LP: #1384925)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Oct 2014 14:50:52 -0600

debootstrap (1.0.40~ubuntu0.6) precise; urgency=medium

  * pkgdetails_perl: Only interpret percentages following whitespace, to
    cope with GNU wget outputting the local file name (which may contain "%"
    due to URL-encoding) after it finishes the download (LP: #1172101).
  * Install apt-transport-https and ca-certificates if installing from an
    HTTPS mirror (LP: #1135163).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 23 Jun 2014 16:40:02 +0100

debootstrap (1.0.40~ubuntu0.5) precise; urgency=medium

  * Add (Ubuntu) utopic as a symlink to gutsy. (LP: #1312393)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 24 Apr 2014 13:49:31 -0600

debootstrap (1.0.40~ubuntu0.4) precise; urgency=low

  * Add (Ubuntu) trusty as a symlink to gutsy. (LP: #1242747)
  * Fudge version to trump the version in precise-backports.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 21 Oct 2013 09:33:47 -0600

debootstrap (1.0.39ubuntu0.3) precise; urgency=low

  * Add (Ubuntu) saucy as a symlink to gutsy. (LP: #1172920)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 25 Apr 2013 18:11:52 -0400

## debootstrap 1.0.42~bpo60+1

=== debian/changelog ===
debootstrap (1.0.42~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.
  * Add myself to Uploaders.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 18 Oct 2012 12:22:35 -0700

debootstrap (1.0.42) unstable; urgency=low

  * Downgrade the absence of an InRelease file from a warning to an info
    message.  For now, debootstrap can cope fine without, and it's possible
    there are Debian mirrors that don't have InRelease; Ubuntu doesn't quite
    have InRelease support yet either (LP: #1017398).

 -- Colin Watson <cjwatson@debian.org>  Tue, 03 Jul 2012 15:34:57 +0100

debootstrap (1.0.41) unstable; urgency=low

  [ Mehdi Dogguy ]
  * Add support for InRelease files (Closes: #638682)

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Jun 2012 13:16:22 -0400

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: debootstrap
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Anthony Towns <ajt@debian.org>, Joey Hess <joeyh@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>
+Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Uploaders: Anthony Towns <ajt@debian.org>, Joey Hess <joeyh@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>, Vagrant Cascadian <vagrant@debian.org>
 Build-Depends: debhelper (>= 7.0.50), makedev (>= 2.3.1-69) [linux-any]
 Standards-Version: 3.9.2
 Vcs-Browser: http://git.debian.org/?p=d-i/debootstrap.git

## debootstrap 1.0.42ubuntu0.1

=== debian/changelog ===
debootstrap (1.0.42ubuntu0.1) quantal-proposed; urgency=low

  * Add (Ubuntu) raring as a symlink to gutsy. (LP: #1068707)

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 29 Oct 2012 08:20:32 +0000

## debootstrap 1.0.42ubuntu0.4

=== debian/changelog ===
debootstrap (1.0.42ubuntu0.4) quantal; urgency=medium

  * Add (Ubuntu) utopic as a symlink to gutsy. (LP: #1312393)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 24 Apr 2014 13:50:12 -0600

debootstrap (1.0.42ubuntu0.3) quantal; urgency=low

  * Add (Ubuntu) trusty as a symlink to gutsy. (LP: #1242747)

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Mon, 21 Oct 2013 10:26:34 -0500

debootstrap (1.0.42ubuntu0.2) quantal; urgency=low

  * Add (Ubuntu) saucy as a symlink to gutsy. (LP: #1172920)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 25 Apr 2013 18:10:06 -0400

## debootstrap 1.0.46

=== debian/changelog ===
debootstrap (1.0.46) unstable; urgency=low

  * Team upload.
  * Use `which` to find out sh only if /bin/sh does not exist.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 27 Dec 2012 15:47:16 +0100

debootstrap (1.0.45) unstable; urgency=low

  [ Joey Hess ]
  * Better support use on Android by not hardcoding /bin/sh
    in a test file that's created, and instead putting in the
    actual path to sh. Closes: #694310 Thanks, Shawn Landden

 -- Christian Perrier <bubulle@debian.org>  Sat, 22 Dec 2012 12:56:32 +0100

debootstrap (1.0.44) unstable; urgency=low

  * Remove double quotes to fix for loop on GNU/kFreeBSD, thanks to
    Oleg Ginzburg (Closes: #693718).

 -- Cyril Brulebois <kibi@debian.org>  Tue, 20 Nov 2012 23:55:53 +0100

debootstrap (1.0.43) unstable; urgency=low

  [ Joey Hess ]
  * Fix "arc" typo. Closes: #686680

  [ Colin Watson ]
  * Add (Ubuntu) raring as a symlink to gutsy.

  [ Christian Perrier ]
  * Add myself to Uploaders and drop Anthony Towns who is no
    longer active in debootstrap maintenance for a few years. Thanks
    for your work, Anthony.
  * Bump Standards to 3.9.3 (checked)
  * Replace XC-Package-Type by Package-Type in debian/control

 -- Christian Perrier <bubulle@debian.org>  Sat, 27 Oct 2012 12:46:46 +0200

## debootstrap 1.0.46ubuntu1.1

=== debian/changelog ===
debootstrap (1.0.46ubuntu1.1) raring; urgency=low

  * Add (Ubuntu) trusty as a symlink to gutsy. (LP: #1242747)

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Mon, 21 Oct 2013 10:40:13 -0500

debootstrap (1.0.46ubuntu1) raring; urgency=low

  * Add (Ubuntu) saucy as a symlink to gutsy.

 -- Scott Kitterman <scott@kitterman.com>  Thu, 25 Apr 2013 17:24:58 -0400

## debootstrap 1.0.48+deb7u1

=== debian/changelog ===
debootstrap (1.0.48+deb7u1) wheezy; urgency=low

  [ Joey Hess ]
  * Add support for jessie. Closes: #706788

 -- Cyril Brulebois <kibi@debian.org>  Mon, 03 Jun 2013 11:49:50 +0200

debootstrap (1.0.48) unstable; urgency=low

  * Team upload

  [ Julien Cristau ]
  * Disable InRelease support.  gpgv won't give us back the signed data, and
    full gpg is not available inside d-i (closes: #703889).
  * Move extract_release_components to after signature verification.
    Suggested by Ansgar Burchardt.

 -- Didier Raboud <odyx@debian.org>  Thu, 04 Apr 2013 16:17:57 +0200

debootstrap (1.0.47) unstable; urgency=low

  * Team upload
  * Properly decrypt the InRelease file when downloading from an archive
    where InRelease is used. This longstanding bug was masked by former
    APT behaviour and was revealed only with recent APT versions
    Closes: #703146
    Thanks to Michael Vogt for the analysis and patch
  * Add a dependency on gpg because of the above change.

 -- Christian Perrier <bubulle@debian.org>  Wed, 20 Mar 2013 21:34:29 +0100

## debootstrap 1.0.48+deb7u2

=== debian/changelog ===
debootstrap (1.0.48+deb7u2) wheezy; urgency=low

  [ Cyril Brulebois ]
  * Backport the following change from 1.0.56 (Closes: #766459). More
    details can be found in #767999, see Guillem's comments.

  [ Tollef Fog Heen ]
  * Install base-passwd and base-files in two calls rather than one to
    avoid problems with home-built media with different ordering in
    Packages.  Thanks to Jo Shields for pointing this out and providing
    the workaround.  Closes: #601670.  LP: #1001131.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 07 Nov 2014 12:43:19 +0000

## debootstrap 1.0.48+deb7u4

=== debian/changelog ===
debootstrap (1.0.48+deb7u4) wheezy; urgency=medium

  * Add support for stretch (Closes: #783361).

 -- Cyril Brulebois <kibi@debian.org>  Fri, 15 May 2015 05:53:44 +0200

debootstrap (1.0.48+deb7u3) wheezy; urgency=medium

  [ Colin Watson ]
  * Resolve mount point symlinks relative to the target chroot before
    unmounting them (closes: #702861, #703037, #704744, #753442).

 -- Cyril Brulebois <kibi@debian.org>  Wed, 08 Apr 2015 21:41:26 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: extra
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
-Uploaders: Anthony Towns <ajt@debian.org>, Joey Hess <joeyh@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>, Vagrant Cascadian <vagrant@debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 7.0.50), makedev (>= 2.3.1-69) [linux-any]
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=d-i/debootstrap.git
 Vcs-Git: git://git.debian.org/d-i/debootstrap.git
 
@@ -20,7 +20,7 @@
 
 Package: debootstrap-udeb
 Section: debian-installer
-XC-Package-Type: udeb
+Package-Type: udeb
 Architecture: all
 Depends: ${misc:Depends}, mounted-partitions
 Description: Bootstrap the Debian system

## debootstrap 1.0.53

=== debian/changelog ===
debootstrap (1.0.53) unstable; urgency=low

  [ Dmitrijs Ledkovs ]
  * Set debian source format to '3.0 (native)'.
  * Bump debhelper compat level to 9.
  * Set Vcs-* to canonical format.

  [ Christian Perrier ]
  * Update Standards to 3.9.4 (checked)

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Jul 2013 13:06:33 +0200

debootstrap (1.0.52) unstable; urgency=low

  * scripts/gutsy: Make the fake initctl pass through "initctl version"
    calls, used by such things as invoke-rc.d to figure out whether it's
    running under Upstart (LP: #1182540).
  * scripts/sid, scripts/gutsy: Add a policy-rc.d, matching that in
    debian-installer-utils.  This is the primary way to disable daemon
    startup.

 -- Colin Watson <cjwatson@debian.org>  Wed, 22 May 2013 16:55:59 +0100

debootstrap (1.0.51) unstable; urgency=low

  [ Scott Kitterman ]
  * Add (Ubuntu) saucy as a symlink to gutsy (closes: #706989).

  [ Colin Watson ]
  * Clarify location of pkgdetails.c in error message (closes: #708771).
  * Resolve mount point symlinks relative to the target chroot before
    unmounting them (closes: #702861, #703037, #704744).

 -- Colin Watson <cjwatson@debian.org>  Sat, 18 May 2013 23:18:08 +0100

debootstrap (1.0.50) unstable; urgency=low

  [ Hector Oron ]
  * Report package version information on package retrieve and validation.
    Closes: #697675

 -- Christian Perrier <bubulle@debian.org>  Fri, 17 May 2013 13:34:34 +0200

debootstrap (1.0.49) unstable; urgency=medium

  * Add support for jessie. Closes: #706788

 -- Joey Hess <joeyh@debian.org>  Sat, 04 May 2013 23:37:52 -0400

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
-Build-Depends: debhelper (>= 7.0.50), makedev (>= 2.3.1-69) [linux-any]
-Standards-Version: 3.9.3
-Vcs-Browser: http://git.debian.org/?p=d-i/debootstrap.git
-Vcs-Git: git://git.debian.org/d-i/debootstrap.git
+Build-Depends: debhelper (>= 9), makedev (>= 2.3.1-69) [linux-any]
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=d-i/debootstrap.git
+Vcs-Git: git://anonscm.debian.org/d-i/debootstrap.git
 
 Package: debootstrap
 Architecture: all

## debootstrap 1.0.53ubuntu0.2

=== debian/changelog ===
debootstrap (1.0.53ubuntu0.2) saucy; urgency=medium

  * Add (Ubuntu) utopic as a symlink to gutsy. (LP: #1312393)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 24 Apr 2014 13:50:30 -0600

debootstrap (1.0.53ubuntu0.1) saucy; urgency=low

  * Add (Ubuntu) trusty as a symlink to gutsy. (LP: #1242747)

 -- Chris J Arges <chris.j.arges@ubuntu.com>  Mon, 21 Oct 2013 12:03:09 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debootstrap
 Section: admin
 Priority: extra
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>, Junichi Uekawa <dancer@debian.org>, Colin Watson <cjwatson@debian.org>, Christian Perrier <bubulle@debian.org>
 Build-Depends: debhelper (>= 9), makedev (>= 2.3.1-69) [linux-any]
 Standards-Version: 3.9.4

## debootstrap 1.0.55~bpo70+1

=== debian/changelog ===
debootstrap (1.0.55~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 05 Nov 2013 20:19:31 +0100

debootstrap (1.0.55) unstable; urgency=low

  [ Matthias Klose ]
  * Add (Ubuntu) trusty as a symlink to gutsy.

 -- Christian Perrier <bubulle@debian.org>  Tue, 22 Oct 2013 13:43:23 +0200

## debootstrap 1.0.55+drbl1

=== debian/changelog ===
debootstrap (1.0.55+drbl1) unstable; urgency=low

  * Non-maintainer upload.
  * Recompiled on Wheezy.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 30 Oct 2013 14:20:41 +0800
